import * as genericObject from './baseSFObjClass.js';
import * as objConstants from './constants/account.constants.js';
export { objConstants };
import * as returnObj from './return.js';
import * as locationObj from './location.js';
import * as orderObj from './order.js';
import * as inventoryObj from './inventory.js';
declare class Account extends genericObject.generalObject {
    details: Partial<objConstants.detailsStructure>;
    readonly type: string;
    readonly writeable: boolean;
    readonly idReferenceName: string;
    constructor();
    getLocations(filters: locationObj.objConstants.selectionFilters, roughMatch?: boolean): Promise<locationObj.objConstants.niceBD2Locations>;
    getOrders(filters: orderObj.objConstants.selectionFilters, orderStatus?: typeof orderObj.objConstants.validBD2OrderLookupStatuses[number] | null): Promise<orderObj.objConstants.BD2Orders>;
    getInventory(filters: inventoryObj.objConstants.selectionFilters): Promise<inventoryObj.objConstants.niceBD2Inventories>;
    getReturns(filters: returnObj.objConstants.selectionFilters): Promise<returnObj.objConstants.niceBD2Returns>;
    createLocation(): locationObj.objConstants.niceBD2Location;
}
export declare function createNew(): Account;
