import * as sfObjects from '../../salesforceTypes.js';
export declare const validBD2AccountLookupTypes: string[];
export declare const userTypeBaaS = "BaaS";
export declare const userTypeLibrary = "Library";
export declare const validBD2AccountTypes: readonly ["BaaS", "Library", null];
export interface detailsStructure {
    id: string;
    accountName: string;
    type: string | null;
    servicesUserId: string | null;
    mainContact: {
        contactEmail: string | null;
        contactName: string | null;
        contactPhone: string | null;
    };
    accountingContact: {
        accountingEmail: string | null;
        accountingName: string | null;
        accountingPhone: string | null;
    };
    options: {
        shippingEmail: string | null;
        ccShipping: boolean;
        bundleSKUs: boolean;
        skuList: string | null;
        bulkFallbackPermitted: boolean;
        mirrorToShopify: boolean;
        shopifyInstance: string;
        isTestAccount: boolean;
    };
}
export interface niceBD2Account {
    type: string;
    writeable: boolean;
    loadedFromSF: boolean;
    details: detailsStructure;
    loadFromSF: Function;
    getLocations: Function;
    getOrders: Function;
    getInventory: Function;
    getReturns: Function;
    createSF: Function;
    createLocation: Function;
}
export type niceBD2Accounts = niceBD2Account[];
export declare const dataStructure: sfObjects.niceDataStructure;
export declare const apiName = "BD2_Account__c";
export declare const niceNameId = "id";
export declare const niceNameAccountName = "accountName";
export declare const niceNameAccountingEmail = "accountingEmail";
export declare const niceNameAccountingName = "accountingName";
export declare const niceNameAccountingPhone = "accountingPhone";
export declare const niceNameServicesUserId = "servicesUserId";
export declare const niceNameContactEmail = "contactEmail";
export declare const niceNameContactName = "contactName";
export declare const niceNameContactPhone = "contactPhone";
export declare const niceNameType = "type";
export declare const niceNameCreated = "created";
export declare const niceNameShippingEmail = "shippingEmail";
export declare const niceNameCcShipping = "ccShipping";
export declare const niceNameBundleSKUs = "bundleSKUs";
export declare const niceNameSkuList = "skuList";
export declare const niceNameBulkFallbackPermitted = "bulkFallbackPermitted";
export declare const niceNameMirrorToShopify = "mirrorToShopify";
export declare const niceNameShopifyInstance = "shopifyInstance";
export declare const niceNameIsTestAccount = "isTestAccount";
export declare const sfApiNameId = "Id";
export declare const sfApiNameAccountName = "Name";
export declare const sfApiNameAccountingEmail = "Accounting_Contact_Email__c";
export declare const sfApiNameAccountingName = "Accounting_Contact_Name__c";
export declare const sfApiNameAccountingPhone = "Accounting_Contact_Phone__c";
export declare const sfApiNameServicesUserId = "BD_User_ID__c";
export declare const sfApiNameContactEmail = "Contact_Email__c";
export declare const sfApiNameContactName = "Contact_Name__c";
export declare const sfApiNameContactPhone = "Contact_Phone__c";
export declare const sfApiNameType = "User_Type__c";
export declare const sfApiNameCreated = "CreatedDate";
export declare const sfApiNameShippingEmail = "Shipping_Email__c";
export declare const sfApiNameCcShipping = "CC_Emails__c";
export declare const sfApiNameBundleSKUs = "Bundle_SKUs__c";
export declare const sfApiNameSkuList = "SKUs_to_Bundle__c";
export declare const sfApiNameBulkFallbackPermitted = "Bulk_Fallback_Permitted__c";
export declare const sfApiNameMirrorToShopify = "Mirror_To_Shopify__c";
export declare const sfApiNameShopifyInstance = "Shopify_Site__c";
export declare const sfApiNameTestAccount = "Test_Account__c";
declare let apiMapping: any;
export { apiMapping };
export interface sfSchema {
    [sfApiNameId]: string;
    [sfApiNameAccountName]: string;
    [sfApiNameAccountingEmail]: string;
    [sfApiNameAccountingName]: string;
    [sfApiNameAccountingPhone]: string;
    [sfApiNameServicesUserId]: string;
    [sfApiNameContactEmail]: string;
    [sfApiNameContactName]: string;
    [sfApiNameContactPhone]: string;
    [sfApiNameType]: typeof validBD2AccountTypes[number];
    [sfApiNameCreated]: string;
    [sfApiNameShippingEmail]: string;
    [sfApiNameCcShipping]: boolean;
    [sfApiNameBundleSKUs]: boolean;
    [sfApiNameSkuList]: string;
    [sfApiNameBulkFallbackPermitted]: boolean;
    [sfApiNameShopifyInstance]: string;
    [sfApiNameMirrorToShopify]: boolean;
    [sfApiNameTestAccount]: boolean;
}
export interface selectionFilters {
    [niceNameId]?: string;
    [niceNameAccountName]?: string;
    [niceNameAccountingEmail]?: string;
    [niceNameAccountingName]?: string;
    [niceNameAccountingPhone]?: string;
    [niceNameServicesUserId]?: string;
    [niceNameContactEmail]?: string;
    [niceNameContactName]?: string;
    [niceNameContactPhone]?: string;
    [niceNameType]?: typeof validBD2AccountTypes[number];
    [niceNameCreated]?: string;
    [niceNameShippingEmail]?: string;
    [niceNameCcShipping]?: boolean;
    [niceNameBundleSKUs]?: boolean;
    [niceNameSkuList]?: string;
    [niceNameBulkFallbackPermitted]?: boolean;
}
export declare const targetFields: string[];
