export const validBD2AccountLookupTypes = ["id", "name"];
export const userTypeBaaS = "BaaS";
export const userTypeLibrary = "Library";
export const validBD2AccountTypes = [userTypeBaaS, userTypeLibrary, null];
export const dataStructure = {
    topLevel: {
        id: { readOnly: true, updateable: true, mandatory: false, type: ['string'], validation: null },
        accountName: { readOnly: false, updateable: true, mandatory: false, type: ['string'], validation: null },
        type: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: validBD2AccountTypes },
        servicesUserId: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    mainContact: {
        contactEmail: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        contactName: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        contactPhone: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    accountingContact: {
        accountingEmail: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        accountingName: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        accountingPhone: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    options: {
        shippingEmail: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        ccShipping: { readOnly: false, updateable: true, mandatory: false, type: ['boolean', null], validation: null },
        bundleSKUs: { readOnly: false, updateable: true, mandatory: false, type: ['boolean', null], validation: null },
        skuList: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        bulkFallbackPermitted: { readOnly: true, updateable: true, mandatory: false, type: ['boolean'], validation: null },
        mirrorToShopify: { readOnly: true, updateable: false, mandatory: false, type: ['boolean'], validation: null },
        shopifyInstance: { readOnly: true, updateable: false, mandatory: false, type: ['string', null], validation: null },
        isTestAccount: { readOnly: true, updateable: false, mandatory: false, type: ['boolean', null], validation: null }
    }
};
export const apiName = "BD2_Account__c";
export const niceNameId = "id";
export const niceNameAccountName = "accountName";
export const niceNameAccountingEmail = "accountingEmail";
export const niceNameAccountingName = "accountingName";
export const niceNameAccountingPhone = "accountingPhone";
export const niceNameServicesUserId = "servicesUserId";
export const niceNameContactEmail = "contactEmail";
export const niceNameContactName = "contactName";
export const niceNameContactPhone = "contactPhone";
export const niceNameType = "type";
export const niceNameCreated = "created";
export const niceNameShippingEmail = "shippingEmail";
export const niceNameCcShipping = "ccShipping";
export const niceNameBundleSKUs = "bundleSKUs";
export const niceNameSkuList = "skuList";
export const niceNameBulkFallbackPermitted = "bulkFallbackPermitted";
export const niceNameMirrorToShopify = "mirrorToShopify";
export const niceNameShopifyInstance = "shopifyInstance";
export const niceNameIsTestAccount = "isTestAccount";
export const sfApiNameId = 'Id';
export const sfApiNameAccountName = 'Name';
export const sfApiNameAccountingEmail = 'Accounting_Contact_Email__c';
export const sfApiNameAccountingName = 'Accounting_Contact_Name__c';
export const sfApiNameAccountingPhone = 'Accounting_Contact_Phone__c';
export const sfApiNameServicesUserId = 'BD_User_ID__c';
export const sfApiNameContactEmail = 'Contact_Email__c';
export const sfApiNameContactName = 'Contact_Name__c';
export const sfApiNameContactPhone = 'Contact_Phone__c';
export const sfApiNameType = 'User_Type__c';
export const sfApiNameCreated = 'CreatedDate';
export const sfApiNameShippingEmail = 'Shipping_Email__c';
export const sfApiNameCcShipping = 'CC_Emails__c';
export const sfApiNameBundleSKUs = 'Bundle_SKUs__c';
export const sfApiNameSkuList = 'SKUs_to_Bundle__c';
export const sfApiNameBulkFallbackPermitted = 'Bulk_Fallback_Permitted__c';
export const sfApiNameMirrorToShopify = "Mirror_To_Shopify__c";
export const sfApiNameShopifyInstance = "Shopify_Site__c";
export const sfApiNameTestAccount = "Test_Account__c";
let apiMapping = {};
apiMapping[niceNameId] = sfApiNameId;
apiMapping[niceNameAccountName] = sfApiNameAccountName;
apiMapping[niceNameAccountingEmail] = sfApiNameAccountingEmail;
apiMapping[niceNameAccountingName] = sfApiNameAccountingName;
apiMapping[niceNameAccountingPhone] = sfApiNameAccountingPhone;
apiMapping[niceNameServicesUserId] = sfApiNameServicesUserId;
apiMapping[niceNameContactEmail] = sfApiNameContactEmail;
apiMapping[niceNameContactName] = sfApiNameContactName;
apiMapping[niceNameContactPhone] = sfApiNameContactPhone;
apiMapping[niceNameType] = sfApiNameType;
apiMapping[niceNameCreated] = sfApiNameCreated;
apiMapping[niceNameShippingEmail] = sfApiNameShippingEmail;
apiMapping[niceNameCcShipping] = sfApiNameCcShipping;
apiMapping[niceNameBundleSKUs] = sfApiNameBundleSKUs;
apiMapping[niceNameSkuList] = sfApiNameSkuList;
apiMapping[niceNameBulkFallbackPermitted] = sfApiNameBulkFallbackPermitted;
apiMapping[niceNameMirrorToShopify] = sfApiNameMirrorToShopify;
apiMapping[niceNameShopifyInstance] = sfApiNameShopifyInstance;
apiMapping[niceNameIsTestAccount] = sfApiNameTestAccount;
export { apiMapping };
const excludedAccounFields = [];
export const targetFields = Object.keys(apiMapping).filter((a) => (!excludedAccounFields.includes(a)));
