export const niceNameId = "id";
export const niceNameInventoryName = "inventoryName";
export const niceNameAccountId = "accountId";
export const niceNameAllowNew = "allowNew";
export const niceNameAllowReplacement = "allowReplacement";
export const niceNameQtyAvailable = "qtyAvailable";
export const niceNameIsInventoryAvailable = "isInventoryAvailable";
export const niceNameInventoryType = "inventoryType";
export const niceNameShopifyVariant = "shopifyVariantId";
export const niceNameQtyLifetimeTotal = "qtyLifetimeTotal";
export const niceNameQtyUsed = "qtyUsed";
export const niceNameCreated = "created";
export const niceNameRslSKU = "rslSKU";
export const sfApiNameId = 'Id';
export const sfApiNameInventoryName = 'Name';
export const sfApiNameAccountId = 'BD2_Account__c';
export const sfApiNameAllowNew = 'Allow_New__c';
export const sfApiNameAllowReplacement = 'Allow_Replacement__c';
export const sfApiNameQtyAvailable = 'Available_Quantity__c';
export const sfApiNameIsInventoryAvailable = 'Inventory_Available__c';
export const sfApiNameInventoryType = 'Inventory_Type__c';
export const sfApiNameShopifyVariant = 'Shopify_SKU__c';
export const sfApiNameQtyLifetimeTotal = 'Order_Quantity__c';
export const sfApiNameQtyUsed = 'Quantity_Shipped__c';
export const sfApiNameCreated = 'CreatedDate';
export const sfApiNameRslSKU = 'RSL_SKU__c';
let apiMapping = {};
apiMapping[niceNameId] = sfApiNameId;
apiMapping[niceNameInventoryName] = sfApiNameInventoryName;
apiMapping[niceNameAccountId] = sfApiNameAccountId;
apiMapping[niceNameAllowNew] = sfApiNameAllowNew;
apiMapping[niceNameAllowReplacement] = sfApiNameAllowReplacement;
apiMapping[niceNameQtyAvailable] = sfApiNameQtyAvailable;
apiMapping[niceNameIsInventoryAvailable] = sfApiNameIsInventoryAvailable;
apiMapping[niceNameInventoryType] = sfApiNameInventoryType;
apiMapping[niceNameShopifyVariant] = sfApiNameShopifyVariant;
apiMapping[niceNameQtyLifetimeTotal] = sfApiNameQtyLifetimeTotal;
apiMapping[niceNameQtyUsed] = sfApiNameQtyUsed;
apiMapping[niceNameCreated] = sfApiNameCreated;
apiMapping[niceNameRslSKU] = sfApiNameRslSKU;
export { apiMapping };
export const apiName = "Bulk_BD2_Order__c";
export const inventoryTypeNew = "New";
export const inventoryTypeRefurb = "Refurbished";
export const inventoryTypeDefault = "Default";
export const validInventoryTypes = [inventoryTypeNew, inventoryTypeRefurb, inventoryTypeDefault];
export const dataStructure = {
    topLevel: {
        id: { readOnly: true, updateable: true, mandatory: false, type: ['string'], validation: null },
        inventoryName: { readOnly: true, updateable: true, mandatory: true, type: ['string'], validation: null },
        accountId: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: null },
        inventoryType: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validInventoryTypes },
        isInventoryAvailable: { readOnly: true, updateable: true, mandatory: true, type: ['boolean'], validation: null },
        shopifyVariantId: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        rslSKU: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        created: { readOnly: true, updateable: true, mandatory: false, type: ['date'], validation: null }
    },
    permittedUse: {
        allowNew: { readOnly: false, updateable: true, mandatory: false, type: ['boolean'], validation: null },
        allowReplacement: { readOnly: false, updateable: true, mandatory: false, type: ['boolean'], validation: null }
    },
    qty: {
        qtyLifetimeTotal: { readOnly: false, updateable: true, mandatory: false, type: ['number'], validation: null },
        qtyUsed: { readOnly: true, updateable: true, mandatory: false, type: ['number'], validation: null },
        qtyAvailable: { readOnly: true, updateable: true, mandatory: false, type: ['number'], validation: null }
    }
};
const excludeInventoryFields = [];
export const targetFields = Object.keys(apiMapping).filter((a) => (!excludeInventoryFields.includes(a)));
