import * as sfObjects from '../../salesforceTypes.js';
export type niceBD2Locations = niceBD2Location[];
export interface detailsStructure {
    id?: string;
    locationName: string;
    businessName: string | null;
    accountId: string;
    email: string | null;
    phone: string | null;
    dealerId: string | null;
    address: {
        receiverName: string;
        streetAddress: string;
        city: string;
        province: string;
        postalCode: string;
        country: string;
        fullAddress: string;
    };
}
export interface niceBD2Location {
    type: string;
    writeable: boolean;
    loadedFromSF: boolean;
    details: detailsStructure;
    loadFromSF: Function;
    getOrders: Function;
    getReturns: Function;
    createSF: Function;
    createOrder: Function;
    createReturn: Function;
}
export declare const countryUSA = "US";
export declare const countryCanada = "CA";
export declare const validLocationCountry: readonly ["US", "CA", null];
export declare const provinceMapping: {
    AL: string;
    AK: string;
    AZ: string;
    AR: string;
    CA: string;
    CO: string;
    CT: string;
    DE: string;
    DC: string;
    FL: string;
    GA: string;
    HI: string;
    ID: string;
    IL: string;
    IN: string;
    IA: string;
    KS: string;
    KY: string;
    LA: string;
    ME: string;
    MD: string;
    MA: string;
    MI: string;
    MN: string;
    MS: string;
    MO: string;
    MT: string;
    NE: string;
    NV: string;
    NH: string;
    NJ: string;
    NM: string;
    NY: string;
    NC: string;
    ND: string;
    OH: string;
    OK: string;
    OR: string;
    PA: string;
    RI: string;
    SC: string;
    SD: string;
    TN: string;
    TX: string;
    UT: string;
    VT: string;
    VA: string;
    WA: string;
    WV: string;
    WI: string;
    WY: string;
    AB: string;
    BC: string;
    MB: string;
    NB: string;
    NL: string;
    NT: string;
    NS: string;
    NU: string;
    ON: string;
    PE: string;
    QC: string;
    SK: string;
    YT: string;
};
export declare const apiName = "BD2_Location__c";
export declare const dataStructure: sfObjects.niceDataStructure;
export declare const niceNameId = "id";
export declare const niceNameAccountId = "accountId";
export declare const niceNameLocationName = "locationName";
export declare const niceNameBusinessName = "businessName";
export declare const niceNameDealerId = "dealerId";
export declare const niceNameReceiverName = "receiverName";
export declare const niceNameStreetAddress = "streetAddress";
export declare const niceNameCity = "city";
export declare const niceNameProvince = "province";
export declare const niceNamePostalCode = "postalCode";
export declare const niceNameCountry = "country";
export declare const niceNamePhone = "phone";
export declare const niceNameEmail = "email";
export declare const niceNameFullAddress = "fullAddress";
export declare const niceNameCreated = "created";
export declare const sfApiNameId = "Id";
export declare const sfApiNameAccountId = "BD2_Account__c";
export declare const sfApiNameLocationName = "Name";
export declare const sfApiNameBusinessName = "Business_Name__c";
export declare const sfApiNameDealerId = "Dealer_ID__c";
export declare const sfApiNameReceiverName = "Receiver_Name__c";
export declare const sfApiNameStreetAddress = "Street_Address__c";
export declare const sfApiNameCity = "City__c";
export declare const sfApiNameProvince = "Province__c";
export declare const sfApiNamePostalCode = "Postal_Code__c";
export declare const sfApiNameCountry = "Country__c";
export declare const sfApiNamePhone = "Phone_Number__c";
export declare const sfApiNameEmail = "Receiver_Email_Address__c";
export declare const sfApiNameFullAddress = "Shipping_Address__c";
export declare const sfApiNameCreated = "CreatedDate";
declare let apiMapping: any;
export { apiMapping };
export interface sfSchema {
    [sfApiNameId]: string;
    [sfApiNameAccountId]: string;
    [sfApiNameLocationName]: string;
    [sfApiNameBusinessName]: string;
    [sfApiNameDealerId]: string;
    [sfApiNameReceiverName]: string;
    [sfApiNameStreetAddress]: string;
    [sfApiNameCity]: string;
    [sfApiNameProvince]: string;
    [sfApiNamePostalCode]: string;
    [sfApiNameCountry]: string;
    [sfApiNamePhone]: string;
    [sfApiNameEmail]: string;
    [sfApiNameFullAddress]: string;
    [sfApiNameCreated]: string;
}
export interface selectionFilters {
    [niceNameId]?: string;
    [niceNameAccountId]?: string;
    [niceNameLocationName]?: string;
    [niceNameBusinessName]?: string;
    [niceNameDealerId]?: string;
    [niceNameReceiverName]?: string;
    [niceNameStreetAddress]?: string;
    [niceNameCity]?: string;
    [niceNameProvince]?: string;
    [niceNamePostalCode]?: string;
    [niceNameCountry]?: string;
    [niceNamePhone]?: string;
    [niceNameEmail]?: string;
    [niceNameFullAddress]?: string;
    [niceNameCreated]?: string;
}
export declare const targetFields: string[];
export interface locationsForAccount {
    accountId: null | string;
    locations: niceBD2Locations;
}
