export const orderFilterNew = "new";
export const orderFilterUnshipped = "unshipped";
export const orderFilterShipped = "shipped";
export const orderFilterPaused = "paused";
export const orderFilterAll = "all";
export const validBD2OrderLookupStatuses = [orderFilterNew, orderFilterUnshipped, orderFilterShipped, orderFilterPaused, orderFilterAll];
//export const validBD2OrderIdTypes = ["internal", "external","id"]
export const bd2ModelClassic = "Standard";
export const validBD2Models = [bd2ModelClassic];
export const moneyCurrencyUSD = "USD";
export const moneyCurrencyCAD = "CAD";
export const validMoneyCurrencies = [moneyCurrencyUSD, moneyCurrencyCAD];
export const apiName = "BD2_Order__c";
export const shipServiceStandard = "Standard";
export const shipServiceExpedited = "Express";
export const shipServicePriority = "Priority";
export const shipServiceFedEx = "Local FedEx";
export const validShippingServices = [shipServiceStandard, shipServiceExpedited, shipServicePriority, shipServiceFedEx, null];
export const orderTypeInvoicedOrder = "Order - Invoiced";
export const orderTypeShopifyOrder = "Order - Shopify";
export const orderTypeBulkOrder = "Order - From Bulk";
export const orderTypeReplacement = "Replacement";
export const orderTypeBulkReplacement = "Replacement - From Bulk";
export const orderTypeSample = "Free Sample";
export const orderTypeBulkSample = "Free Sample - From Bulk";
export const validBD2OrderTypes = [orderTypeInvoicedOrder, orderTypeShopifyOrder, orderTypeBulkOrder, orderTypeReplacement, orderTypeBulkReplacement, orderTypeSample, orderTypeBulkSample];
export const createOrderDetailsTypeNew = "new";
export const createOrderDetailsTypeReplacement = "replacement";
export const createOrderDetailsTypeSample = "sample";
export const validCreateOrderDetailsTypes = [createOrderDetailsTypeNew, createOrderDetailsTypeReplacement, createOrderDetailsTypeSample];
export const createOrderDetailsSourceDefault = "default";
export const createOrderDetailsSourceBulk = "bulk";
export const validCreateOrderDetailsSources = [createOrderDetailsSourceDefault, createOrderDetailsSourceBulk];
export const orderStatusOrdered = "Ordered";
export const orderStatusFulfilling = "Fulfilling";
export const orderStatusPartiallyShipped = "Partially Shipped";
export const orderStatusShipped = "Shipped";
export const orderStatusPaused = "Paused";
export const orderStatusCancelled = "Cancelled";
export const validSFOrderStatuses = [orderStatusOrdered, orderStatusFulfilling, orderStatusPartiallyShipped, orderStatusShipped, orderStatusPaused, orderStatusCancelled];
export const invoiceStatusNA = "NA";
export const invoiceStatusNotSent = "Not Sent";
export const invoiceStatusSent = "Sent";
export const invoiceStatusShopify = "Shopify";
export const validInvoiceStatuses = [invoiceStatusNA, invoiceStatusNotSent, invoiceStatusSent, invoiceStatusShopify];
export const niceNameId = "id";
export const niceNameAccountId = "accountId";
export const niceNameLocationId = "locationId";
export const niceNameInventoryId = "inventoryId";
export const niceNameInternalOrderNumber = "internalOrderNumber";
export const niceNameBd2Model = "bd2Model";
export const niceNameDealerId = "dealerId";
export const niceNameExternalOrderNumber = "externalOrderNumber";
export const niceNameFulfillmentDate = "fulfillmentDate";
export const niceNameShopifyOrderID = "shopifyOrderID";
export const niceNameInvoiceDate = "invoiceDate";
export const niceNameInvoiceNumber = "invoiceNumber";
export const niceNameInvoiceStatus = "invoiceStatus";
export const niceNameMoneyCurrency = "moneyCurrency";
export const niceNameMoneyTotal = "moneyTotal";
export const niceNameMoneyManualAdjustments = "moneyManualAdjustments";
export const niceNameMoneyShipping = "moneyShipping";
export const niceNameMoneyTax = "moneyTax";
export const niceNameMoneyUnitCost = "moneyUnitCost";
export const niceNameNotes = "notes";
export const niceNameOrderStatus = "orderStatus";
export const niceNameOrderType = "orderType";
export const niceNameQtyFulfilled = "qtyFulfilled";
export const niceNameQtyRequested = "qtyRequested";
export const niceNameShippingDate = "shippingDate";
export const niceNameShippingService = "shippingService";
export const niceNameShippingTrackingCarrier = "shippingTrackingCarrier";
export const niceNameShippingTrackingNumber = "shippingTrackingNumber";
export const niceNameCreated = "created";
export const niceNameOverrideName = "overrideName";
export const niceNameOverrideEmail = "overrideEmail";
export const sfApiNameId = 'Id';
export const sfApiNameAccountId = 'accountID__c';
export const sfApiNameLocationId = 'BD2_Location__c';
export const sfApiNameInventoryId = 'Special_Inventory_Reference__c';
export const sfApiNameInternalOrderNumber = 'Name';
export const sfApiNameBd2Model = 'BD2_Model__c';
export const sfApiNameDealerId = 'Dealer_ID__c';
export const sfApiNameExternalOrderNumber = 'Customer_PO__c';
export const sfApiNameFulfillmentDate = 'Fulfillment_Date__c';
export const sfApiNameShopifyOrderID = 'Fulfillment_Reference__c';
export const sfApiNameInvoiceDate = 'Invoice_Date__c';
export const sfApiNameInvoiceNumber = 'Invoice_Number__c';
export const sfApiNameInvoiceStatus = 'Invoice_Status__c';
export const sfApiNameMoneyCurrency = 'Currency__c';
export const sfApiNameMoneyTotal = 'Invoice_Total__c';
export const sfApiNameMoneyManualAdjustments = 'Manual_Adjustments__c';
export const sfApiNameMoneyShipping = 'Shipping__c';
export const sfApiNameMoneyTax = 'Tax__c';
export const sfApiNameMoneyUnitCost = 'Unit_Cost__c';
export const sfApiNameNotes = 'Notes__c';
export const sfApiNameOrderStatus = 'Order_Status__c';
export const sfApiNameOrderType = 'Order_Type__c';
export const sfApiNameQtyFulfilled = 'Quantity_Fulfilled__c';
export const sfApiNameQtyRequested = 'Quantity_Requested__c';
export const sfApiNameShippingDate = 'Shipment_Date__c';
export const sfApiNameShippingService = 'Shipping_Service__c';
export const sfApiNameShippingTrackingCarrier = 'Tracking_Carrier__c';
export const sfApiNameShippingTrackingNumber = 'Tracking_Number__c';
export const sfApiNameCreated = 'CreatedDate';
export const sfApiNameOverrideName = 'overrideReceiverName__c';
export const sfApiNameOverrideEmail = 'overrideEmail__c';
let apiMapping = {};
apiMapping[niceNameId] = sfApiNameId;
apiMapping[niceNameAccountId] = sfApiNameAccountId;
apiMapping[niceNameLocationId] = sfApiNameLocationId;
apiMapping[niceNameInventoryId] = sfApiNameInventoryId;
apiMapping[niceNameInternalOrderNumber] = sfApiNameInternalOrderNumber;
apiMapping[niceNameBd2Model] = sfApiNameBd2Model;
apiMapping[niceNameDealerId] = sfApiNameDealerId;
apiMapping[niceNameExternalOrderNumber] = sfApiNameExternalOrderNumber;
apiMapping[niceNameFulfillmentDate] = sfApiNameFulfillmentDate;
apiMapping[niceNameShopifyOrderID] = sfApiNameShopifyOrderID;
apiMapping[niceNameInvoiceDate] = sfApiNameInvoiceDate;
apiMapping[niceNameInvoiceNumber] = sfApiNameInvoiceNumber;
apiMapping[niceNameInvoiceStatus] = sfApiNameInvoiceStatus;
apiMapping[niceNameMoneyCurrency] = sfApiNameMoneyCurrency;
apiMapping[niceNameMoneyTotal] = sfApiNameMoneyTotal;
apiMapping[niceNameMoneyManualAdjustments] = sfApiNameMoneyManualAdjustments;
apiMapping[niceNameMoneyShipping] = sfApiNameMoneyShipping;
apiMapping[niceNameMoneyTax] = sfApiNameMoneyTax;
apiMapping[niceNameMoneyUnitCost] = sfApiNameMoneyUnitCost;
apiMapping[niceNameNotes] = sfApiNameNotes;
apiMapping[niceNameOrderStatus] = sfApiNameOrderStatus;
apiMapping[niceNameOrderType] = sfApiNameOrderType;
apiMapping[niceNameQtyFulfilled] = sfApiNameQtyFulfilled;
apiMapping[niceNameQtyRequested] = sfApiNameQtyRequested;
apiMapping[niceNameShippingDate] = sfApiNameShippingDate;
apiMapping[niceNameShippingService] = sfApiNameShippingService;
apiMapping[niceNameShippingTrackingCarrier] = sfApiNameShippingTrackingCarrier;
apiMapping[niceNameShippingTrackingNumber] = sfApiNameShippingTrackingNumber;
apiMapping[niceNameCreated] = sfApiNameCreated;
apiMapping[niceNameOverrideName] = sfApiNameOverrideName;
apiMapping[niceNameOverrideEmail] = sfApiNameOverrideEmail;
export { apiMapping };
export const dataStructure = {
    topLevel: {
        id: { readOnly: true, updateable: false, mandatory: false, type: ['string'], validation: null },
        accountId: { readOnly: true, updateable: false, mandatory: false, type: ['string'], validation: null },
        locationId: { readOnly: false, updateable: false, mandatory: true, type: ['string'], validation: null },
        internalOrderNumber: { readOnly: true, updateable: false, mandatory: false, type: ['string'], validation: null },
        externalOrderNumber: { readOnly: false, updateable: false, mandatory: true, type: ['string'], validation: null },
        notes: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    orderDetails: {
        orderType: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validBD2OrderTypes },
        bd2Model: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validBD2Models },
        dealerId: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        overrideName: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        overrideEmail: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    money: {
        moneyCurrency: { readOnly: false, updateable: true, mandatory: false, type: ['string'], validation: validMoneyCurrencies },
        moneyTotal: { readOnly: false, updateable: true, mandatory: false, type: ['number', null], validation: null },
        moneyManualAdjustments: { readOnly: false, updateable: true, mandatory: false, type: ['number', null], validation: null },
        moneyShipping: { readOnly: false, updateable: true, mandatory: false, type: ['number', null], validation: null },
        moneyTax: { readOnly: false, updateable: true, mandatory: false, type: ['number', null], validation: null },
        moneyUnitCost: { readOnly: false, updateable: true, mandatory: false, type: ['number', null], validation: null }
    },
    fulfillment: {
        shopifyOrderID: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        fulfillmentDate: { readOnly: false, updateable: true, mandatory: false, type: ['date', null], validation: null },
        orderStatus: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validSFOrderStatuses },
        qtyFulfilled: { readOnly: false, updateable: true, mandatory: false, type: ['number'], validation: null },
        qtyRequested: { readOnly: false, updateable: true, mandatory: true, type: ['number'], validation: null },
        shippingDate: { readOnly: false, updateable: true, mandatory: false, type: ['date', null], validation: null },
        shippingService: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validShippingServices },
        shippingTrackingCarrier: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        shippingTrackingNumber: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        inventoryId: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null }
    },
    invoicing: {
        invoiceDate: { readOnly: false, updateable: true, mandatory: false, type: ['date', null], validation: null },
        invoiceNumber: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        invoiceStatus: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validInvoiceStatuses }
    }
};
const excludedOrderFields = [];
export const targetFields = Object.keys(apiMapping).filter((a) => (!excludedOrderFields.includes(a)));
