import * as sfObjects from '../../salesforceTypes.js';
export declare const niceNameId = "id";
export declare const niceNameRecordName = "recordName";
export declare const niceNameFate = "fate";
export declare const niceNameInventoryId = "inventoryId";
export declare const niceNameLocationId = "locationId";
export declare const niceNameReferenceNumber = "referenceNumber";
export declare const niceNameTestingLink = "testingLink";
export declare const niceNameTestResults = "testResults";
export declare const niceNameReturnTrackingNumber = "returnTrackingNumber";
export declare const niceNameCreated = "created";
export declare const sfApiNameId = "Id";
export declare const sfApiNameRecordName = "Name";
export declare const sfApiNameFate = "Status__c";
export declare const sfApiNameInventoryId = "BD2_Inventory__c";
export declare const sfApiNameLocationId = "BD2_Location__c";
export declare const sfApiNameReferenceNumber = "Reference_Number__c";
export declare const sfApiNameTestingLink = "Testing_Link__c";
export declare const sfApiNameTestResults = "Test_Results__c";
export declare const sfApiNameReturnTrackingNumber = "Tracking_Number__c";
export declare const sfApiNameCreated = "CreatedDate";
declare let apiMapping: any;
export { apiMapping };
export declare const apiName = "BD2_Return__c";
export declare const returnFateStored = "Stored";
export declare const returnFateDiscarded = "Discarded";
export declare const returnFateReturned = "Returned to Inventory";
export declare const validBD2ReturnFates: readonly [null, "Stored", "Discarded", "Returned to Inventory"];
export declare const returnTestStatusUntested = "Untested";
export declare const returnTestStatusFailed = "Failed";
export declare const returnTestStatusPassed = "Passed";
export declare const validReturnTestingStatuses: readonly ["Untested", "Failed", "Passed"];
export type niceBD2Returns = niceBD2Return[];
export interface niceBD2Return {
    type: string;
    writeable: boolean;
    loadedFromSF: boolean;
    details: detailsStructure;
    loadFromSF: Function;
    createSF: Function;
}
export interface detailsStructure {
    id: string;
    recordName: string;
    fate: typeof validBD2ReturnFates[number] | null;
    inventoryId: string | null;
    locationId: string | null;
    referenceNumber: string | null;
    testingLink: string | null;
    testResults: typeof validReturnTestingStatuses[number] | null;
    returnTrackingNumber: string | null;
    created: Date;
}
export declare const dataStructure: sfObjects.niceDataStructure;
export declare const targetFields: string[];
export interface selectionFilters {
    [niceNameId]?: string;
    [niceNameRecordName]?: string;
    [niceNameFate]?: typeof validBD2ReturnFates[number];
    [niceNameInventoryId]?: string;
    [niceNameLocationId]?: string;
    [niceNameReferenceNumber]?: string;
    [niceNameTestingLink]?: string;
    [niceNameTestResults]?: typeof validReturnTestingStatuses[number];
    [niceNameReturnTrackingNumber]?: string;
    [niceNameCreated]?: string;
}
