export const niceNameId = "id";
export const niceNameRecordName = "recordName";
export const niceNameFate = "fate";
export const niceNameInventoryId = "inventoryId";
export const niceNameLocationId = "locationId";
export const niceNameReferenceNumber = "referenceNumber";
export const niceNameTestingLink = "testingLink";
export const niceNameTestResults = "testResults";
export const niceNameReturnTrackingNumber = "returnTrackingNumber";
export const niceNameCreated = "created";
export const sfApiNameId = 'Id';
export const sfApiNameRecordName = 'Name';
export const sfApiNameFate = 'Status__c';
export const sfApiNameInventoryId = 'BD2_Inventory__c';
export const sfApiNameLocationId = 'BD2_Location__c';
export const sfApiNameReferenceNumber = 'Reference_Number__c';
export const sfApiNameTestingLink = 'Testing_Link__c';
export const sfApiNameTestResults = 'Test_Results__c';
export const sfApiNameReturnTrackingNumber = 'Tracking_Number__c';
export const sfApiNameCreated = 'CreatedDate';
let apiMapping = {};
apiMapping[niceNameId] = sfApiNameId;
apiMapping[niceNameRecordName] = sfApiNameRecordName;
apiMapping[niceNameFate] = sfApiNameFate;
apiMapping[niceNameInventoryId] = sfApiNameInventoryId;
apiMapping[niceNameLocationId] = sfApiNameLocationId;
apiMapping[niceNameReferenceNumber] = sfApiNameReferenceNumber;
apiMapping[niceNameTestingLink] = sfApiNameTestingLink;
apiMapping[niceNameTestResults] = sfApiNameTestResults;
apiMapping[niceNameReturnTrackingNumber] = sfApiNameReturnTrackingNumber;
apiMapping[niceNameCreated] = sfApiNameCreated;
export { apiMapping };
export const apiName = "BD2_Return__c";
export const returnFateStored = "Stored";
export const returnFateDiscarded = "Discarded";
export const returnFateReturned = "Returned to Inventory";
export const validBD2ReturnFates = [null, returnFateStored, returnFateDiscarded, returnFateReturned];
export const returnTestStatusUntested = "Untested";
export const returnTestStatusFailed = "Failed";
export const returnTestStatusPassed = "Passed";
export const validReturnTestingStatuses = [returnTestStatusUntested, returnTestStatusFailed, returnTestStatusPassed];
export const dataStructure = {
    topLevel: {
        id: { readOnly: true, updateable: true, mandatory: false, type: ['string'], validation: null },
        recordName: { readOnly: true, updateable: true, mandatory: false, type: ['string'], validation: null },
        fate: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: validBD2ReturnFates },
        inventoryId: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        locationId: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: null },
        referenceNumber: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        testingLink: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        testResults: { readOnly: false, updateable: true, mandatory: true, type: ['string'], validation: validReturnTestingStatuses },
        returnTrackingNumber: { readOnly: false, updateable: true, mandatory: false, type: ['string', null], validation: null },
        created: { readOnly: true, updateable: true, mandatory: false, type: ['date', null], validation: null }
    }
};
const excludeReturnFields = [];
export const targetFields = Object.keys(apiMapping).filter((a) => (!excludeReturnFields.includes(a)));
