var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as genericObject from './baseSFObjClass.js';
import * as sfMethods from '../salesforce.js';
import * as objConstants from './constants/inventory.constants.js';
export { objConstants };
class Inventory extends genericObject.generalObject {
    constructor() {
        super(objConstants.dataStructure, objConstants.apiMapping);
        this.details = this.createNiceObj({}, objConstants.dataStructure, objConstants.apiMapping);
        this.type = 'inventory';
        this.writeable = false;
        this.idReferenceName = "inventoryId";
    }
    loadFromSF(sfObj) {
        super.loadFromSF(sfObj);
        if (!this.details.qty.qtyUsed) {
            this.details.qty.qtyUsed = 0;
        }
    }
    getOrders(filters, orderStatus = null) {
        return __awaiter(this, void 0, void 0, function* () {
            filters = this.validateGetChild(filters);
            if (orderStatus) {
                return yield sfMethods.getBD2OrdersByStatus(orderStatus, filters);
            }
            else {
                return yield sfMethods.getBD2Orders(filters);
            }
        });
    }
}
export function createNew() {
    return new Inventory();
}
