import * as orderCases from './salesforce.cases.orders.js';
import * as locationCases from './salesforce.cases.locations.js';
export const getAccountNoMatch = {
    req: {
        url: /WHERE%20Name%20=%20%27Bob%20Of%20Mainframe%27$|WHERE%20Id%20=%20%27noAccountExisto%27$/,
        code: 200,
        body: {
            "totalSize": 0,
            "done": true,
            "records": []
        }
    },
    resp: ''
};
export const accountByNameOrIDWithLocations = {
    req: {
        url: /(?:WHERE%20Name%20=%20%27ACME%27$)|(?:WHERE%20Id%20=%20%27someRandomIdLookATthis0mg%27$)/,
        code: 200,
        body: {
            "totalSize": 1,
            "done": true,
            "records": [
                {
                    "attributes": {
                        "type": "BD2_Account__c",
                        "url": "/services/data/v57.0/sobjects/BD2_Account__c/a0gJA0000000S5EYAU"
                    },
                    "Id": "someRandomIdLookATthis0mg",
                    "Name": "Other test BD2 Account",
                    "Accounting_Contact_Email__c": "accounting@email.com",
                    "Accounting_Contact_Name__c": "Chris Nevin",
                    "Accounting_Contact_Phone__c": null,
                    "BD_User_ID__c": "1234",
                    "Contact_Email__c": "fake@email.com",
                    "Contact_Name__c": null,
                    "Contact_Phone__c": null,
                    "User_Type__c": "BaaS",
                    "CreatedDate": "2023-06-02T12:42:32.000+0000",
                    "Shipping_Email__c": "shipping@email.com\nsecond@email.com",
                    "CC_Emails__c": true,
                    "Bundle_SKUs__c": false,
                    "SKUs_to_Bundle__c": null,
                    "Bulk_Fallback_Permitted__c": false,
                    "Mirror_To_Shopify__c": true,
                    "Shopify_Site__c": "Accutrade",
                    "Test_Account__c": false
                }
            ]
        }
    },
    resp: {
        id: "someRandomIdLookATthis0mg",
        accountName: "Other test BD2 Account",
        type: "BaaS",
        servicesUserId: "1234",
        mainContact: {
            contactEmail: "fake@email.com",
            contactName: null,
            contactPhone: null,
        },
        accountingContact: {
            accountingEmail: "accounting@email.com",
            accountingName: "Chris Nevin",
            accountingPhone: null,
        },
        options: {
            shippingEmail: "shipping@email.com\nsecond@email.com",
            ccShipping: true,
            isTestAccount: false,
            bundleSKUs: false,
            skuList: null,
            bulkFallbackPermitted: false,
            mirrorToShopify: true,
            shopifyInstance: "Accutrade"
        }
    },
    childLocationResp: [locationCases.locationThatExists.resp]
};
export const accountWithChildOrders = {
    req: {
        url: /WHERE%20Name%20=%20%27iHaveKids%27$|WHERE%20Id%20=%20%27someIdWithKids%27$/,
        code: 200,
        body: {
            "totalSize": 1,
            "done": true,
            "records": [
                {
                    "attributes": {
                        "type": "BD2_Account__c",
                        "url": "/services/data/v57.0/sobjects/BD2_Account__c/a0gJA0000000S5EYAU"
                    },
                    "Id": "someIdWithKids",
                    "Name": "iHaveKids",
                    "Accounting_Contact_Email__c": "accounting@email.com",
                    "Accounting_Contact_Name__c": "Chris Nevin",
                    "Accounting_Contact_Phone__c": null,
                    "BD_User_ID__c": "1234",
                    "Contact_Email__c": "fake@email.com",
                    "Contact_Name__c": null,
                    "Contact_Phone__c": null,
                    "User_Type__c": "BaaS",
                    "CreatedDate": "2023-06-02T12:42:32.000+0000",
                    "Shipping_Email__c": "shipping@email.com\nsecond@email.com",
                    "CC_Emails__c": true,
                    "Bundle_SKUs__c": false,
                    "SKUs_to_Bundle__c": null,
                    "Bulk_Fallback_Permitted__c": false,
                    "Test_Account__c": false
                }
            ]
        }
    },
    resp: orderCases.orderWhatBelongsToAccount.resp
};
export const accountWithoutLocations = {
    req: {
        url: /WHERE%20Name%20=%20%27iHaveNoLocations%27$/,
        code: 200,
        body: {
            "totalSize": 1,
            "done": true,
            "records": [
                {
                    "attributes": {
                        "type": "BD2_Account__c",
                        "url": "/services/data/v57.0/sobjects/BD2_Account__c/a0gJA0000000S5EYAU"
                    },
                    "Id": "dinks",
                    "Name": "iHaveNoLocations",
                    "Accounting_Contact_Email__c": "accounting@email.com",
                    "Accounting_Contact_Name__c": "Chris Nevin",
                    "Accounting_Contact_Phone__c": null,
                    "BD_User_ID__c": "1234",
                    "Contact_Email__c": "fake@email.com",
                    "Contact_Name__c": null,
                    "Contact_Phone__c": null,
                    "User_Type__c": "BaaS",
                    "CreatedDate": "2023-06-02T12:42:32.000+0000",
                    "Shipping_Email__c": "shipping@email.com",
                    "CC_Emails__c": true,
                    "Bundle_SKUs__c": false,
                    "SKUs_to_Bundle__c": null,
                    "Bulk_Fallback_Permitted__c": false,
                    "Test_Account__c": false
                }
            ]
        }
    },
    resp: null
};
