import * as sfObjects from '../../salesforceTypes.js';
export declare const accountMatchWithoutDealerId: {
    matchURL: string;
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: string;
            Dealer_ID__c: null;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: string;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const accountMatchWithNameSet: {
    matchURL: string;
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: string;
            Dealer_ID__c: string;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: string;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const accountWithNoSKUs: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            Accounting_Contact_Email__c: string;
            Accounting_Contact_Name__c: string;
            Accounting_Contact_Phone__c: null;
            BD_User_ID__c: string;
            Contact_Email__c: string;
            Contact_Name__c: null;
            Contact_Phone__c: null;
            User_Type__c: string;
            CreatedDate: string;
            Shipping_Email__c: string;
            CC_Emails__c: boolean;
            Bundle_SKUs__c: boolean;
            SKUs_to_Bundle__c: null;
            Bulk_Fallback_Permitted__c: boolean;
        }[];
    };
};
export declare const accountWithFallbackPermitted: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            Accounting_Contact_Email__c: string;
            Accounting_Contact_Name__c: string;
            Accounting_Contact_Phone__c: null;
            BD_User_ID__c: string;
            Contact_Email__c: string;
            Contact_Name__c: null;
            Contact_Phone__c: null;
            User_Type__c: string;
            CreatedDate: string;
            Shipping_Email__c: string;
            CC_Emails__c: boolean;
            Bundle_SKUs__c: boolean;
            SKUs_to_Bundle__c: null;
            Bulk_Fallback_Permitted__c: boolean;
        }[];
    };
};
export declare const accountWithFallbackDisabled: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            Accounting_Contact_Email__c: string;
            Accounting_Contact_Name__c: string;
            Accounting_Contact_Phone__c: null;
            BD_User_ID__c: string;
            Contact_Email__c: string;
            Contact_Name__c: null;
            Contact_Phone__c: null;
            User_Type__c: string;
            CreatedDate: string;
            Shipping_Email__c: string;
            CC_Emails__c: boolean;
            Bundle_SKUs__c: boolean;
            SKUs_to_Bundle__c: null;
            Bulk_Fallback_Permitted__c: boolean;
        }[];
    };
};
export declare const accountWithSKUs: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            Accounting_Contact_Email__c: string;
            Accounting_Contact_Name__c: string;
            Accounting_Contact_Phone__c: null;
            BD_User_ID__c: string;
            Contact_Email__c: string;
            Contact_Name__c: null;
            Contact_Phone__c: null;
            User_Type__c: string;
            CreatedDate: string;
            Shipping_Email__c: string;
            CC_Emails__c: boolean;
            Bundle_SKUs__c: boolean;
            SKUs_to_Bundle__c: string;
            Bulk_Fallback_Permitted__c: boolean;
        }[];
    };
};
export declare const inventoryMatchesAndPermitsNew: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            BD2_Account__c: string;
            Allow_New__c: boolean;
            Allow_Replacement__c: boolean;
            Available_Quantity__c: number;
            Inventory_Available__c: boolean;
            Inventory_Type__c: string;
            Shopify_SKU__c: string;
            Order_Quantity__c: number;
            Quantity_Shipped__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const inventoryMatchesInsufficientQty: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            BD2_Account__c: string;
            Allow_New__c: boolean;
            Allow_Replacement__c: boolean;
            Available_Quantity__c: number;
            Inventory_Available__c: boolean;
            Inventory_Type__c: string;
            Shopify_SKU__c: string;
            Order_Quantity__c: number;
            Quantity_Shipped__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const inventoryReplacementOnly: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            BD2_Account__c: string;
            Allow_New__c: boolean;
            Allow_Replacement__c: boolean;
            Available_Quantity__c: number;
            Inventory_Available__c: boolean;
            Inventory_Type__c: string;
            Shopify_SKU__c: null;
            Order_Quantity__c: number;
            Quantity_Shipped__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const fallBackInventoryNoMatch: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: never[];
    };
};
export declare const fallBackInventoryReplacementNoMatch: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: never[];
    };
};
export declare const fallBackInventoryWithMatchWithoutExtSKU: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            Name: string;
            BD2_Account__c: string;
            Allow_New__c: boolean;
            Allow_Replacement__c: boolean;
            Available_Quantity__c: number;
            Inventory_Available__c: boolean;
            Inventory_Type__c: string;
            Shopify_SKU__c: null;
            Order_Quantity__c: number;
            Quantity_Shipped__c: null;
            CreatedDate: string;
        }[];
    };
};
export declare const anOrderToUpdate: {
    url: RegExp;
    code: number;
    body: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            accountID__c: string;
            BD2_Location__c: string;
            Name: string;
            Customer_PO__c: string;
            Order_Type__c: string;
            BD2_Model__c: string;
            Dealer_ID__c: null;
            Currency__c: string;
            Invoice_Total__c: null;
            Manual_Adjustments__c: null;
            Shipping__c: null;
            Tax__c: null;
            Unit_Cost__c: null;
            Fulfillment_Reference__c: null;
            Fulfillment_Date__c: null;
            Order_Status__c: string;
            Quantity_Fulfilled__c: number;
            Quantity_Requested__c: number;
            Shipment_Date__c: null;
            Shipping_Service__c: string;
            Tracking_Carrier__c: null;
            Tracking_Number__c: null;
            Special_Inventory_Reference__c: null;
            Invoice_Date__c: null;
            Invoice_Number__c: null;
            Invoice_Status__c: string;
            Notes__c: string;
        }[];
    };
};
export declare function checkOrderPatch(url: string, opts: sfObjects.genericObj): {
    status: number;
    body: {
        id: string;
        success: boolean;
        errors: never[];
    };
};
export declare function checkWriteBody(url: string, opts: sfObjects.genericObj): {
    body: any;
    status: any;
};
