export declare const duplicateLocationTests: ({
    testing: string;
    matchURL: string;
    requestDeets: {
        streetAddress: string;
        city: string;
        province: string;
        postalCode: string;
        country: string;
        accountId: string;
    };
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: null;
            Dealer_ID__c: null;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: null;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
    expectedValue: {
        id: string;
        locationName: string;
        businessName: null;
        accountId: string;
        email: null;
        phone: null;
        dealerId: null;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: null;
        };
    };
} | {
    testing: string;
    matchURL: string;
    requestDeets: {
        streetAddress: string;
        city: string;
        province: string;
        postalCode: string;
        country: string;
        accountId: string;
    };
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: null;
            Dealer_ID__c: null;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: null;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
    expectedValue: {
        id: string;
        locationName: string;
        businessName: null;
        accountId: string;
        email: null;
        phone: null;
        dealerId: null;
        address: {
            receiverName: null;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: null;
        };
    };
} | {
    testing: string;
    matchURL: string;
    requestDeets: {
        streetAddress: string;
        city: string;
        province: string;
        postalCode: string;
        country: string;
        accountId: string;
    };
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: null;
            Dealer_ID__c: null;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: string;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
    expectedValue: {
        id: string;
        locationName: string;
        businessName: null;
        accountId: string;
        email: string;
        phone: null;
        dealerId: null;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: null;
        };
    };
} | {
    testing: string;
    matchURL: string;
    requestDeets: {
        streetAddress: string;
        city: string;
        province: string;
        postalCode: string;
        country: string;
        accountId: string;
    };
    returnBody: {
        totalSize: number;
        done: boolean;
        records: {
            attributes: {
                type: string;
                url: string;
            };
            Id: string;
            BD2_Account__c: string;
            Name: string;
            Business_Name__c: string;
            Dealer_ID__c: string;
            Receiver_Name__c: string;
            Street_Address__c: string;
            City__c: string;
            Province__c: string;
            Postal_Code__c: string;
            Country__c: string;
            Phone_Number__c: null;
            Receiver_Email_Address__c: string;
            Shipping_Address__c: null;
            CreatedDate: string;
        }[];
    };
    expectedValue: {
        id: string;
        locationName: string;
        businessName: string;
        accountId: string;
        email: string;
        phone: null;
        dealerId: string;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: null;
        };
    };
})[];
export declare const addressMatchingCases: {
    parent: {
        street: string;
        city: string;
        provState: string;
        postalCode: string;
        country: string;
    };
    variants: {
        street: string;
        city: string;
        provState: string;
        postalCode: string;
        country: string;
    }[];
}[];
