export declare const noInventory: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: null;
};
export declare const nonUniqueInvById: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: number[];
        };
    };
    resp: null;
};
export declare const inventoryById: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        inventoryName: string;
        accountId: string;
        inventoryType: string;
        isInventoryAvailable: boolean;
        shopifyVariantId: string;
        rslSKU: null;
        created: Date;
        permittedUse: {
            allowNew: boolean;
            allowReplacement: boolean;
        };
        qty: {
            qtyLifetimeTotal: number;
            qtyUsed: number;
            qtyAvailable: number;
        };
    };
};
export declare const multipleInventoryByAccountWithoutFilters: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: ({
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
                RSL_SKU__c?: undefined;
            } | {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                RSL_SKU__c: null;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
            })[];
        };
    };
    resp: {
        id: string;
        inventoryName: string;
        accountId: string;
        inventoryType: string;
        isInventoryAvailable: boolean;
        shopifyVariantId: string;
        rslSKU: null;
        created: Date;
        permittedUse: {
            allowNew: boolean;
            allowReplacement: boolean;
        };
        qty: {
            qtyLifetimeTotal: number;
            qtyUsed: number;
            qtyAvailable: number;
        };
    }[];
};
export declare const multipleInventoryByAccountWithFilters: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: ({
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
                RSL_SKU__c?: undefined;
            } | {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                RSL_SKU__c: null;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
            })[];
        };
    };
    resp: {
        id: string;
        inventoryName: string;
        accountId: string;
        inventoryType: string;
        isInventoryAvailable: boolean;
        shopifyVariantId: string;
        rslSKU: null;
        created: Date;
        permittedUse: {
            allowNew: boolean;
            allowReplacement: boolean;
        };
        qty: {
            qtyLifetimeTotal: number;
            qtyUsed: number;
            qtyAvailable: number;
        };
    }[];
};
export declare const singleInventoryforId: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: ({
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
                RSL_SKU__c?: undefined;
            } | {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                BD2_Account__c: string;
                Allow_New__c: boolean;
                Allow_Replacement__c: boolean;
                Available_Quantity__c: number;
                Inventory_Available__c: boolean;
                Inventory_Type__c: string;
                Shopify_SKU__c: string;
                RSL_SKU__c: null;
                Order_Quantity__c: number;
                Quantity_Shipped__c: null;
                CreatedDate: string;
            })[];
        };
    };
    resp: {
        accountId: string;
        inventories: {
            id: string;
            inventoryName: string;
            accountId: string;
            inventoryType: string;
            isInventoryAvailable: boolean;
            shopifyVariantId: string;
            rslSKU: null;
            created: Date;
            permittedUse: {
                allowNew: boolean;
                allowReplacement: boolean;
            };
            qty: {
                qtyLifetimeTotal: number;
                qtyUsed: number;
                qtyAvailable: number;
            };
        }[];
    };
};
