import * as sfObjects from '../../salesforceTypes.js';
export declare const noOrdersFound: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: never[];
};
export declare const getNewOrdersSuccessful: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: string;
                Tracking_Carrier__c: string;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    resp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: string;
            shippingTrackingCarrier: string;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
};
export declare const getUnshippedOrdersSuccessful: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: ({
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: string;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: string;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            } | {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: null;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: string;
                Currency__c: string;
                Invoice_Total__c: number;
                Manual_Adjustments__c: null;
                Shipping__c: number;
                Tax__c: number;
                Unit_Cost__c: number;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: string;
                Invoice_Number__c: string;
                Invoice_Status__c: string;
                Notes__c: string;
            })[];
        };
    };
    resp: ({
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: string;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: string;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    } | {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: null;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: string;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: number;
            moneyManualAdjustments: null;
            moneyShipping: number;
            moneyTax: number;
            moneyUnitCost: number;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: Date;
            invoiceNumber: string;
            invoiceStatus: string;
        };
    })[];
};
export declare const getInternalIdDoesntExist: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: never[];
};
export declare const getOrderInternalId: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: string;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    resp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: string;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
};
export declare const getOrderExternalId: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: string;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: string;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    resp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: string;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: Date;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
    sfObject: {
        BD2_Location__c: string;
        Customer_PO__c: string;
        Order_Type__c: string;
        BD2_Model__c: string;
        Dealer_ID__c: null;
        Currency__c: string;
        Invoice_Total__c: null;
        Manual_Adjustments__c: null;
        Shipping__c: null;
        Tax__c: null;
        Unit_Cost__c: null;
        overrideEmail__c: null;
        overrideReceiverName__c: null;
        Fulfillment_Reference__c: null;
        Fulfillment_Date__c: null;
        Order_Status__c: string;
        Quantity_Fulfilled__c: number;
        Quantity_Requested__c: number;
        Shipment_Date__c: null;
        Shipping_Service__c: string;
        Tracking_Carrier__c: null;
        Tracking_Number__c: null;
        Special_Inventory_Reference__c: null;
        Invoice_Date__c: string;
        Invoice_Number__c: null;
        Invoice_Status__c: string;
        Notes__c: string;
    };
};
export declare const noOrdersForParentAccount: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: never[];
};
export declare const orderWhatBelongsToAccount: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    resp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
};
export declare const paginationTestCase: {
    responseOne: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            nextRecordsUrl: string;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    responseTwo: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            nextRecordsUrl: string;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    responseThree: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                accountID__c: string;
                BD2_Location__c: string;
                Name: string;
                Customer_PO__c: string;
                Order_Type__c: string;
                BD2_Model__c: string;
                Dealer_ID__c: null;
                Currency__c: string;
                Invoice_Total__c: null;
                Manual_Adjustments__c: null;
                Shipping__c: null;
                Tax__c: null;
                Unit_Cost__c: null;
                Fulfillment_Reference__c: null;
                Fulfillment_Date__c: null;
                Order_Status__c: string;
                Quantity_Fulfilled__c: number;
                Quantity_Requested__c: number;
                Shipment_Date__c: null;
                Shipping_Service__c: null;
                Tracking_Carrier__c: null;
                Tracking_Number__c: null;
                Special_Inventory_Reference__c: null;
                Invoice_Date__c: null;
                Invoice_Number__c: null;
                Invoice_Status__c: string;
                Notes__c: string;
            }[];
        };
    };
    expectedResults: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
};
export declare function checkHeaderToken(opts: sfObjects.genericObj, goodResp: sfObjects.genericObj, expectedToken: string): sfObjects.genericObj;
export declare function checkOrderBody(url: string, opts: sfObjects.genericObj): {
    body: {
        message: string;
        errorCode: string;
        fields: string[];
    }[] | {
        id: string;
        success: boolean;
        errors: never[];
    } | null;
    status: number;
};
