import * as sfObjects from '../../salesforceTypes.js';
export declare const accountDoesntExist: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: string;
};
export declare const accountNoLocations: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Accounting_Contact_Email__c: string;
                Accounting_Contact_Name__c: string;
                Accounting_Contact_Phone__c: null;
                BD_User_ID__c: string;
                Contact_Email__c: string;
                Contact_Name__c: null;
                Contact_Phone__c: null;
                User_Type__c: string;
                CreatedDate: string;
                Shipping_Email__c: string;
                CC_Emails__c: boolean;
                Bundle_SKUs__c: boolean;
                SKUs_to_Bundle__c: null;
                Bulk_Fallback_Permitted__c: boolean;
                Test_Account__c: boolean;
            }[];
        };
    };
    resp: null;
};
export declare const locationDoesntExist: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
    resp: never[];
};
export declare const accountWithLocations: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Accounting_Contact_Email__c: string;
                Accounting_Contact_Name__c: string;
                Accounting_Contact_Phone__c: null;
                BD_User_ID__c: string;
                Contact_Email__c: string;
                Contact_Name__c: null;
                Contact_Phone__c: null;
                User_Type__c: string;
                CreatedDate: string;
                Shipping_Email__c: string;
                CC_Emails__c: boolean;
                Bundle_SKUs__c: boolean;
                SKUs_to_Bundle__c: null;
                Bulk_Fallback_Permitted__c: boolean;
                Mirror_To_Shopify__c: boolean;
                Shopify_Site__c: string;
                Test_Account__c: boolean;
            }[];
        };
    };
    resp: {
        id: string;
        accountName: string;
        type: string;
        servicesUserId: string;
        mainContact: {
            contactEmail: string;
            contactName: null;
            contactPhone: null;
        };
        accountingContact: {
            accountingEmail: string;
            accountingName: string;
            accountingPhone: null;
        };
        options: {
            shippingEmail: string;
            ccShipping: boolean;
            isTestAccount: boolean;
            bundleSKUs: boolean;
            skuList: null;
            bulkFallbackPermitted: boolean;
            mirrorToShopify: boolean;
            shopifyInstance: string;
        };
    };
    childLocationResp: {
        id: string;
        locationName: string;
        businessName: string;
        accountId: string;
        email: string;
        phone: string;
        dealerId: string;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: string;
        };
    }[];
};
export declare const locationsBelongingToAccountNoReturns: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                BD2_Account__c: string;
                Name: string;
                Business_Name__c: string;
                Dealer_ID__c: string;
                Receiver_Name__c: string;
                Street_Address__c: string;
                City__c: string;
                Province__c: string;
                Postal_Code__c: string;
                Country__c: string;
                Phone_Number__c: string;
                Receiver_Email_Address__c: string;
                Shipping_Address__c: string;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        locationName: string;
        businessName: string;
        accountId: string;
        email: string;
        phone: string;
        dealerId: string;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: string;
        };
    };
    orderResp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: string;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
    noOrderResp: never[];
};
export declare const accountWithLocationsThatHaveReturns: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Accounting_Contact_Email__c: string;
                Accounting_Contact_Name__c: string;
                Accounting_Contact_Phone__c: null;
                BD_User_ID__c: string;
                Contact_Email__c: string;
                Contact_Name__c: null;
                Contact_Phone__c: null;
                User_Type__c: string;
                CreatedDate: string;
                Shipping_Email__c: string;
                CC_Emails__c: boolean;
                Bundle_SKUs__c: boolean;
                SKUs_to_Bundle__c: null;
                Bulk_Fallback_Permitted__c: boolean;
                Test_Account__c: boolean;
            }[];
        };
    };
    resp: {
        id: string;
        accountId: string;
        locationId: string;
        internalOrderNumber: string;
        externalOrderNumber: string;
        notes: string;
        orderDetails: {
            orderType: string;
            bd2Model: string;
            dealerId: null;
            overrideEmail: null;
            overrideName: null;
        };
        money: {
            moneyCurrency: string;
            moneyTotal: null;
            moneyManualAdjustments: null;
            moneyShipping: null;
            moneyTax: null;
            moneyUnitCost: null;
        };
        fulfillment: {
            shopifyOrderID: null;
            fulfillmentDate: null;
            orderStatus: string;
            qtyFulfilled: number;
            qtyRequested: number;
            shippingDate: null;
            shippingService: null;
            shippingTrackingCarrier: null;
            shippingTrackingNumber: null;
            inventoryId: null;
        };
        invoicing: {
            invoiceDate: null;
            invoiceNumber: null;
            invoiceStatus: string;
        };
    }[];
};
export declare const locationsWithReturns: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                BD2_Account__c: string;
                Name: string;
                Business_Name__c: string;
                Dealer_ID__c: string;
                Receiver_Name__c: string;
                Street_Address__c: string;
                City__c: string;
                Province__c: string;
                Postal_Code__c: string;
                Country__c: string;
                Phone_Number__c: string;
                Receiver_Email_Address__c: string;
                Shipping_Address__c: string;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        locationName: string;
        businessName: string;
        accountId: string;
        email: string;
        phone: string;
        dealerId: string;
        address: {
            receiverName: string;
            streetAddress: string;
            city: string;
            province: string;
            postalCode: string;
            country: string;
            fullAddress: string;
        };
    }[];
};
export declare const locationWithOneReturn: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                BD2_Account__c: string;
                Name: string;
                Business_Name__c: string;
                Dealer_ID__c: string;
                Receiver_Name__c: string;
                Street_Address__c: string;
                City__c: string;
                Province__c: string;
                Postal_Code__c: string;
                Country__c: string;
                Phone_Number__c: string;
                Receiver_Email_Address__c: string;
                Shipping_Address__c: string;
                CreatedDate: string;
            }[];
        };
    };
};
export declare const returnByAccountOne: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Status__c: string;
                BD2_Inventory__c: string;
                BD2_Location__c: string;
                Reference_Number__c: string;
                Testing_Link__c: null;
                Test_Results__c: string;
                Tracking_Number__c: null;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        recordName: string;
        fate: string;
        inventoryId: string;
        locationId: string;
        referenceNumber: string;
        testingLink: null;
        testResults: string;
        returnTrackingNumber: null;
        created: Date;
    }[];
};
export declare const returnByAccountTwo: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Status__c: string;
                BD2_Inventory__c: string;
                BD2_Location__c: string;
                Reference_Number__c: string;
                Testing_Link__c: null;
                Test_Results__c: string;
                Tracking_Number__c: null;
                CreatedDate: string;
            }[];
        };
    };
};
export declare const returnByLocationFaulty: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Status__c: string;
                BD2_Inventory__c: null;
                BD2_Location__c: string;
                Reference_Number__c: string;
                Testing_Link__c: null;
                Test_Results__c: string;
                Tracking_Number__c: null;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        recordName: string;
        fate: string;
        inventoryId: null;
        locationId: string;
        referenceNumber: string;
        testingLink: null;
        testResults: string;
        returnTrackingNumber: null;
        created: Date;
    }[];
};
export declare const returnById: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Status__c: string;
                BD2_Inventory__c: null;
                BD2_Location__c: string;
                Reference_Number__c: string;
                Testing_Link__c: null;
                Test_Results__c: string;
                Tracking_Number__c: null;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        recordName: string;
        fate: string;
        inventoryId: null;
        locationId: string;
        referenceNumber: string;
        testingLink: null;
        testResults: string;
        returnTrackingNumber: null;
        created: Date;
    };
};
export declare const returnByName: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: {
                attributes: {
                    type: string;
                    url: string;
                };
                Id: string;
                Name: string;
                Status__c: string;
                BD2_Inventory__c: null;
                BD2_Location__c: string;
                Reference_Number__c: string;
                Testing_Link__c: null;
                Test_Results__c: string;
                Tracking_Number__c: null;
                CreatedDate: string;
            }[];
        };
    };
    resp: {
        id: string;
        recordName: string;
        fate: string;
        inventoryId: null;
        locationId: string;
        referenceNumber: string;
        testingLink: null;
        testResults: string;
        returnTrackingNumber: null;
        created: Date;
    };
};
export declare const dontExist: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: never[];
        };
    };
};
export declare const notUnique: {
    req: {
        url: RegExp;
        code: number;
        body: {
            totalSize: number;
            done: boolean;
            records: (string | number)[];
        };
    };
};
export declare function checkReturnBody(url: string, opts: sfObjects.genericObj): {
    body: {
        id: string;
        success: boolean;
        errors: never[];
    };
    status: number;
};
